
  subroutine print_int(n, dat)
  integer, intent(in) :: n
  integer, intent(in) :: dat(n)

  print *, dat
  end subroutine print_int


  subroutine print_real(n, dat)
  integer, intent(in) :: n
  real, intent(in) :: dat(n)

  print *, dat
  end subroutine print_real

